<template>
  <h2>Add Details</h2>
  <form @submit="onSubmit">
    <p>
      <label> id </label>
      <input required v-model="id" style="margin: 5px 10px" />
    </p>
    <p>
      <label> title </label>
      <input required v-model="title" style="margin: 5px 10px" />
    </p>
    <p>
      <label> body </label>
      <input required v-model="body" style="margin: 5px 10px" />
    </p>
    <p>
      <label> userID </label>
      <input required v-model="userId" style="margin: 5px 10px" />
    </p>
    <button type="submit">Submit</button>
  </form>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      id: "",
      title: "",
      body: "",
      userId: "",
    };
  },
  methods: {
    async onSubmit(e) {
      e.preventDefault();
      try {
        let res = await axios.post(
          "https://jsonplaceholder.typicode.com/posts",
          {
            title: this.title,
            body: this.body,
            userId: this.userId,
          }
        );
        let data = res.data;
        console.log(data);
        alert("Inserted");
      } catch (err) {
        console.log(err.message);
      } finally {
        this.id = "";
        this.title = "";
        this.body = "";
        this.userId = "";
      }
    },
  },
};
</script>

<style scoped>
form {
  width: 300px;
  margin: 10px auto;
  display: table;
}
p {
  display: table-row;
}
label {
  display: table-cell;
}
input {
  display: table-cell;
}
</style>